ControleEstoque.Web/Controllers/CadastroController.cs
using ControleEstoque.Web.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ControleEstoque.Web.Controllers {
    public class CadastroController : Controller {

        private static List<GrupoProdutoModel> _listaGrupoProduto = new List<GrupoProdutoModel>() {
            new GrupoProdutoModel(){Id=1,Nome="Cama",Ativo=true},
            new GrupoProdutoModel(){Id=2,Nome="Mesa",Ativo=true},
            new GrupoProdutoModel(){Id=3,Nome="Banho",Ativo=false},
        };

        [Authorize]
        public ActionResult GrupoProduto() {
            return View(_listaGrupoProduto);
        }

        [HttpPost]
        [Authorize]
        public ActionResult RecuperarGrupoProduto(int id) {
            return Json(_listaGrupoProduto.Find(x => x.Id == id));
        }

        [HttpPost]
        [Authorize]
        public ActionResult ExcluirGrupoProduto(int id) {
            var ret = false;
            var registroBD = _listaGrupoProduto.Find(x => x.Id == id);
            if (registroBD != null) {
                _listaGrupoProduto.Remove(registroBD);
                ret = true;
            }
            return Json(ret);
        }

        [HttpPost]
        [Authorize]
        public ActionResult SalvarGrupoProduto(GrupoProdutoModel model) {
            var resultado= "OK";
            var mensagens=new List<string>();
            var idSalvo=string.Empty;

            if(!ModelState.IsValid){
                resultado="AVISO";
                mensagens=ModelState.Values.SelectMany(x=>x.Erros).Select(x=>x.ErrorMessage).ToList();
            }
            else{
                try{
                    var registroBD = _listaGrupoProduto.Find(x => x.Id == model.Id);
                    if (registroBD == null) {
                        registroBD = model;
                        registroBD.Id = _listaGrupoProduto.Max(x => x.Id)+1;
                        _listaGrupoProduto.Add(registroBD);
                    }
                    else {
                        registroBD.Nome = model.Nome;
                        registroBD.Ativo = model.Ativo;
                    }
                }
                catch(Exception ex){
                    resultado="ERRO";
                }
                var registroBD = _listaGrupoProduto.Find(x => x.Id == model.Id);
                if (registroBD == null) {
                    registroBD = model;
                    registroBD.Id = _listaGrupoProduto.Max(x => x.Id)+1;
                    _listaGrupoProduto.Add(registroBD);
                }
                else {
                    registroBD.Nome = model.Nome;
                    registroBD.Ativo = model.Ativo;
                }
            }
            
            return Json(new{Resultados=resultado,Mensagem=mensagens, IdSalvo=idSalvo}); 
        }

        [Authorize]
        public ActionResult MarcaProduto() {
            return View();
        }

        [Authorize]
        public ActionResult LocalProduto() {
            return View();
        }

        [Authorize]
        public ActionResult UnidadeMedida() {
            return View();
        }

        [Authorize]
        public ActionResult Produto() {
            return View();
        }

        [Authorize]
        public ActionResult Pais() {
            return View();
        }

        [Authorize]
        public ActionResult Estado() {
            return View();
        }

        [Authorize]
        public ActionResult Cidade() {
            return View();
        }

        [Authorize]
        public ActionResult Fornecedor() {
            return View();
        }

        [Authorize]
        public ActionResult PerfilUsuario() {
            return View();
        }

        [Authorize]
        public ActionResult Usuario() {
            return View();
        }
    }
}

ControleEstoque.Web/Controllers/ContaController.cs
using ControleEstoque.Web.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Security;

namespace ControleEstoque.Web.Controllers {
    public class ContaController : Controller {
        [AllowAnonymous]
        public ActionResult Login(string returnUrl) {
            ViewBag.ReturnUrl = returnUrl;
            return View();
        }
        [HttpPost]
        [AllowAnonymous]
        public ActionResult Login(LoginViewModel login, string returnUrl) {
            if (!ModelState.IsValid) {
                return View(login);
            }
            var achou = UsuarioModel.ValidarUsuario(login.Usuario, login.Senha);
            if (achou) {
                FormsAuthentication.SetAuthCookie(login.Usuario, login.LembrarMe);
                if (Url.IsLocalUrl(returnUrl))
                    return Redirect(returnUrl);
                else
                    RedirectToAction("Index", "Home");
            }
            else
                ModelState.AddModelError("", "Login Invalido");
            return View(login);
        }
        [HttpPost]
        [AllowAnonymous]
        public ActionResult LogOff() {
            FormsAuthentication.SignOut();
            return RedirectToAction("Index", "Home");
        }
    }
}

ControleEstoque.Web/Controllers/GraficoController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ControleEstoque.Web.Controllers {
    public class GraficoController : Controller {
        [Authorize]
        public ActionResult PerdaMes() {
            return View();
        }
        [Authorize]
        public ActionResult EntradaSaidaMes() {
            return View();
        }
    }
}

ControleEstoque.Web/Controllers/OperacaoController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ControleEstoque.Web.Controllers {
    public class OperacaoController : Controller {
        [Authorize]
        public ActionResult EntradaEstoque() {
            return View();
        }
        [Authorize]
        public ActionResult SaidaEstoque() {
            return View();
        }
        [Authorize]
        public ActionResult LancPerdaProduto() {
            return View();
        }
        [Authorize]
        public ActionResult Inventario() {
            return View();
        }
    }
}

ControleEstoque.Web/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - Controle de Estoque</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("Controle de Estoque", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                @if (Request.IsAuthenticated) {
                    <ul class="nav navbar-nav">
                        <li>
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                Cadastros
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu">
                                <li>@Html.ActionLink("Grupos de produtos", "GrupoProduto", "Cadastro")</li>
                                <li>@Html.ActionLink("Marcas de produtos", "MarcaProduto", "Cadastro")</li>
                                <li>@Html.ActionLink("Locais de armazenamento", "LocalProduto", "Cadastro")</li>
                                <li>@Html.ActionLink("Unidades de medida", "UnidadeMedida", "Cadastro")</li>
                                <li>@Html.ActionLink("Produtos", "Produto", "Cadastro")</li>
                                <li class="nav-divider"></li>
                                <li>@Html.ActionLink("Países", "Pais", "Cadastro")</li>
                                <li>@Html.ActionLink("Estados", "Estado", "Cadastro")</li>
                                <li>@Html.ActionLink("Cidades", "Cidade", "Cadastro")</li>
                                <li>@Html.ActionLink("Fornecedores", "Fornecedor", "Cadastro")</li>
                                <li class="nav-divider"></li>
                                <li>@Html.ActionLink("Perfis de Usuários", "PerfilUsuario", "Cadastro")</li>
                                <li>@Html.ActionLink("Usuários", "Usuario", "Cadastro")</li>
                            </ul>
                        </li>
                        <li>
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                Operações
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu">
                                <li>@Html.ActionLink("Entrada de produtos", "EntradaEstoque", "Operacao")</li>
                                <li>@Html.ActionLink("Saída de produtos", "SaidaEstoque", "Operacao")</li>
                                <li>@Html.ActionLink("Lançamento de perdas de produtos", "LancPerdaProduto", "Operacao")</li>
                                <li>@Html.ActionLink("Inventario de estoque", "Inventario", "Operacao")</li>
                            </ul>
                        </li>
                        <li>
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                Relatórios
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu">
                                <li>@Html.ActionLink("Posição do Estoque", "PosicaoEstoque", "Relatorio")</li>
                                <li>@Html.ActionLink("Ressuprimento", "Ressuprimento", "Relatorio")</li>
                            </ul>
                        </li>
                        <li>
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                Gráficos
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu">
                                <li>@Html.ActionLink("Perdas por mês", "PerdaMes", "Grafico")</li>
                                <li>@Html.ActionLink("Entradas vs saídas por mês", "EntradaSaidaMes", "Grafico")</li>
                            </ul>
                        </li>
                    </ul>
                    using (Html.BeginForm("LogOff", "Conta", FormMethod.Post, new { id = "logoffForm" })) {
                        <ul class="nav navbar-nav navbar-right">
                            <li>@Html.ActionLink("Sobre", "Sobre", "Home")</li>
                            <li><a href="#">Olá @User.Identity.Name</a></li>
                            <li><a href="javascript:document.getElementById('logoffForm').submit()">Sair</a></li>
                        </ul>
                    }
                }
                else {
                    <ul class="nav navbar-nav navbar-right">
                        <li>@Html.ActionLink("Login", "Login", "Conta")</li>
                    </ul>
                }
            </div>
        </div>
    </div>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - Controle de Estoque</p>
        </footer>
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</body>
</html>